%global git0 https://github.com/containers/%{name}
%global commit0 8c59873b00b3e8ee98be998fec8dbce4cfe984cc
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name: fuse-overlayfs
Version: 0.7.2
Release: 6%{?dist}
Summary: FUSE overlay+shiftfs implementation for rootless containers
License: GPLv3+
URL: %{git0}
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64 %{ix86}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
# related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1802907
# backported:  https://patch-diff.githubusercontent.com/raw/containers/fuse-overlayfs/pull/184.patch
Patch0: fuse-overlayfs-1803492.patch
# related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1804849
# backported:  https://patch-diff.githubusercontent.com/raw/containers/fuse-overlayfs/pull/170.patch
# patch:       0001-main-force-timeout-0-for-ovl_link.patch
Patch1: fuse-overlayfs-1804849.patch
# related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1809648
# backported:  https://patch-diff.githubusercontent.com/raw/containers/fuse-overlayfs/pull/178.patch
Patch2: fuse-overlayfs-1809648.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: make
Provides: bundled(gnulib) = cb634d40c7b9bbf33fa5198d2e27fdab4c0bf143

%description
%{summary}.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Mar 05 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-6
- fix "Pushing container image built with rootless podman fails with: "file integrity checksum failed""
- Resolves: #1810498

* Fri Feb 28 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-5
- upstream patch when applied to the 0.7.2 source code is applied to the wrong function,
  new patch fixes it
- Resolves: #1805013

* Thu Feb 20 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-4
- fix "fuse-overlayfs segfault"
- Resolves: #1805013

* Mon Feb 17 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-3
- fix "useradd and groupadd fail under rootless Buildah and podman"
- Resolves: #1803492

* Fri Jan 24 2020 Jindrich Novy <jnovy@redhat.com> - 0.7.2-2
- resurrect s390x arch as kernel there now has the renameat2 syscall (#1773504)

* Wed Dec 04 2019 Jindrich Novy <jnovy@redhat.com> - 0.7.2-1
- update to 0.7.2
- Related: RHELPLAN-26239

* Mon Nov 18 2019 Jindrich Novy <jnovy@redhat.com> - 0.4.1-3
- temporarily remove s390x arch from supported arches due to
  missing renameat2 syscall
- Related: #1721151

* Tue Oct 29 2019 Jindrich Novy <jnovy@redhat.com> - 0.4.1-2
- BuildRequire fuse3-devel
- Resolves: #1721151

* Sat Jun 15 2019 Lokesh Mandvekar <lsm5@redhat.com> - 0.4.1-1
- Resolves: #1720654 - rebase to v0.4.1

* Wed Jan 16 2019 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.3-2
- rebase
- Resolves:#1666510

* Wed Oct 17 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-7.dev.git50c7a50
- Resolves: #1640232
- built commit 50c7a50

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-6.dev.git1c72a1a
- Resolves: #1614856 - add manpage
- built commit 1c72a1a
- add BR: go-md2man

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-5.dev.gitd40ac75
- built commit d40ac75
- remove fedora bz ids
- Exclude ix86 and ppc64

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-4.dev.git79c70fd
- Resolves: #1609598 - initial upload to Fedora
- bundled gnulib

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-3.dev.git79c70fd
- correct license field

* Mon Jul 30 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-2.dev.git79c70fd
- fix license

* Sun Jul 29 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1-1.dev.git13575b6
- First package for Fedora
